<?php

require_once('../../database.php');

$db = db::open();
$id = $_POST['product_id'];

// Fetch Inventory
$query = "SELECT * FROM inventory WHERE id = '$id'";
$inventory = db::getRecord($query);

if ($inventory != NULL) {
    $brand_id = $inventory['brand_id'];

    // Fetch Brand
    $query = "SELECT * FROM brands WHERE id = '$brand_id'";
    $brand = db::getRecord($query);

    // Fetch Inventory Images
    $query = "SELECT * FROM inventory_images WHERE inventory_id = '$id'";
    $inventory_images = db::getRecords($query);
?>
    <div class="row mt-5 align-items-center">
        <!-- Left Section: Carousel -->
        <div class="col-lg-12 mb-4">
            <div class="card shadow-lg border-0">
                <div id="inventoryCarousel" class="carousel slide carousel-fade" data-bs-ride="carousel">
                    <div class="carousel-inner">
                        <?php if ($inventory_images) {
                            foreach ($inventory_images as $index => $image) { ?>
                                <div class="carousel-item <?php echo $index === 0 ? 'active' : ''; ?>">
                                    <img class="d-block w-100 rounded object-cover" src="uploads/products/<?php echo $image['image']; ?>" alt="Inventory Image" style="height: 550px;">
                                </div>
                        <?php }
                        } ?>
                    </div>
                    <button class="carousel-control-prev" type="button" data-bs-target="#inventoryCarousel" data-bs-slide="prev">
                        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                        <span class="visually-hidden">Previous</span>
                    </button>
                    <button class="carousel-control-next" type="button" data-bs-target="#inventoryCarousel" data-bs-slide="next">
                        <span class="carousel-control-next-icon" aria-hidden="true"></span>
                        <span class="visually-hidden">Next</span>
                    </button>
                </div>
            </div>
        </div>

        <!-- Right Section: Details -->
        <div class="col-lg-12">
            <div class="card shadow-lg border-0 p-4">
                <div class="row mb-3">
                    <div class="col-12">
                        <h5 class="text-muted">Vehicle Name</h5>
                        <p class="text-dark fw-bold"><?php echo $inventory['name']; ?></p>
                    </div>
                </div>

                <div class="row mb-3">
                    <div class="col-6">
                        <h5 class="text-muted">Automatic</h5>
                        <p class="text-dark fw-bold"><?php echo $inventory['automatic'] == 'yes' ? "Yes" : "No"; ?></p>
                    </div>
                    <div class="col-6">
                        <h5 class="text-muted">Fuel Type</h5>
                        <p class="text-dark fw-bold"><?php echo $inventory['fuel_type']; ?></p>
                    </div>
                </div>

                <div class="row mb-3">
                    <div class="col-6">
                        <h5 class="text-muted">Year</h5>
                        <p class="text-dark fw-bold"><?php echo $inventory['year']; ?></p>
                    </div>
                    <div class="col-6">
                        <h5 class="text-muted">Mileage</h5>
                        <p class="text-dark fw-bold"><?php echo $inventory['mileage']; ?> km</p>
                    </div>
                </div>

                <div class="row mb-3">
                    <div class="col-6">
                        <h5 class="text-muted">Price</h5>
                        <p class="text-success fw-bold">$<?php echo $inventory['price']; ?></p>
                    </div>
                    <div class="col-6">
                        <h5 class="text-muted">Brand</h5>
                        <p class="text-primary fw-bold"><?php echo $brand['title']; ?></p>
                    </div>
                </div>

                <div class="row mb-3">
                    <div class="col-12">
                        <h5 class="text-muted">Short Description</h5>
                        <p class="text-dark"><?php echo $inventory['short_description']; ?></p>
                    </div>
                </div>

                <div class="row mb-3">
                    <div class="col-12">
                        <h5 class="text-muted">Long Description</h5>
                        <p class="text-dark"><?php echo $inventory['long_description']; ?></p>
                    </div>
                </div>

                <div class="text-end mt-4">
                    <button type="button" data-bs-dismiss="modal" class="btn btn-primary px-4 py-2">Close</button>
                </div>
            </div>
        </div>
    </div>
<?php
} else {
    echo "<h5 class='text-danger'>Inventory not found.</h5>";
}
?>
