<?php include('header.php');


require_once('database.php');

$db = db::open();
$query = "SELECT * from banners";
$banners = db::getRecords($query);

?>

<div class='main-content'>
    <div class='page-content'>
        <div class='container-fluid'>
            <div class="row mt-1 mb-4">
                <div class="col-12">
                    <div class="py-5  d-sm-flex flex-column align-items-center justify-content-center custom-gradient">

                        <h3 class="text-center text-white my-2">Services</h3>
                    </div>
                </div>
            </div>
            <!--end row-->
            <div class="row">
                <div class="col-12 px-n2">
                    <div class="bg-white px-3 py-3 d-sm-flex align-items-center justify-content-between">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                            <li class="breadcrumb-item active">Services</li>
                        </ol>
                        <div class="page-title-right">
                            <a href="add_service.php" class='btn custom-gradient' style="color:#fff;" > Add New Service</a>
                            <!-- <button type='button' class='btn custom-gradient    text-white  fs-7 '
                                data-bs-toggle='modal' data-bs-target='#add-banner'>Add New Service</button>-->
                        </div>
                    </div>
                </div>
            </div>





            <div class='row mt-5'>
                <?php
                if ($banners != Null) {
                    foreach ($banners as $banner) {
                        $banner_id=$banner['id'];
                        $banner_image = "./uploads/banners/" . $banner['image_name'];
                        $banner_description = $banner['banner_description'];
                        

                        ?>
                        <div class='col-md-3'>
                            <div class='card h-100 w-100'>
                                <img class='card-img-top' loading="lazy" height="200px" src='<?php echo $banner_image ?>'
                                    alt='banner-image   '>
                                <div class='card-body'>

                                    <h3 class="text-center  my-3">
                                        <?php echo $banner['banner_title']; ?>

                                    </h3>


                                </div>
                                <div class='card-footer pt-4 d-flex justify-content-between text-center'>
                                    
                                    
                                  
                                    <button type='button'
                                class='btn btn-primary btn-xl d-flex justify-content-center align-items-center waves-effect waves-light'
                                onclick="view_modal('<?php echo $banner_id ?>')"><i class='fas fa-eye'></i></button>
                                    
                                    
                                    <a  href="./edit_service.php?id=<?php echo $banner_id ?>" class='btn btn-success mx-3 d-flex justify-content-center align-items-center d-flex justify-content-center align-items-center waves-effect waves-light'><i class='fas fa-user-edit'>
                                </i></a>
                                    
                                    
                                    <button type='button' class='btn btn-danger waves-effect waves-light btn-xl float-right'
                                        onclick="delete_modal('<?php echo $banner['id']; ?>')"><i
                                            class='fas fa-trash'></i></button>
                                </div>
                            </div><!-- end card -->
                        </div>
                    <?php }
                } ?>

            </div>

        </div>
    </div>




    <div id='add-banner' class='modal fade' aria-labelledby='add-banner' aria-hidden='true' style='display: none;'>
        <div class='modal-dialog modal-dialog-centered'>
            <div class='modal-content border-0'>
                <div class='close d-flex justify-content-between align-items-center border-bottom border-black  px-4 py-3  '>
                    <h2 class='text-black m-0'>Add Service </h2>
                    <button type='button' class='btn-close  mt-n2 opacity-100' data-bs-dismiss='modal'
                        aria-label='Close'></button>
                </div>
                <div class=' modal-body py-lg-3 px-lg-5'>




                    <form action='action.php' enctype="multipart/form-data" method='post'>
                        <div class='heading my-3'>
                            <div class='mb-3'>
                                <label for='banner-title' class='form-label fs-4  '>Service Image</label>
                                <input type='file' multiple class='form-control' name='banner-image' id='text'
                                    placeholder='Enter title' required>
                            </div>
                        </div>
                        <div class='heading my-3'>
                            <div class='mb-3'>
                                <label for='banner-banner_title' class='form-label fs-4  '>Service Heading</label>
                                <input type='text' class='form-control' name='banner-title' id='text'
                                    placeholder='Enter title' required>
                            </div>
                        </div>
                        <div class='heading my-3'>
                            <div class='mb-3'>
                                <label for='banner-banner_title' class='form-label fs-4  '>Service Date</label>
                                <input type='date' class='form-control' name='blog-date' id='text'
                                    placeholder='Enter title' required>
                            </div>
                        </div>
                        <div class='heading my-3'>
                        <div class='mb-3'>
                            <label for='banner-banner_title' class='form-label fs-4'>Service Excerpt</label>
                            <input type='text' class='form-control' name='excerpt' id='text-excerpt' placeholder='Enter excerpt' required>
                            <small id="wordCountWarning" style="color: red; display: none;">You can only enter up to 15 words.</small>
                        </div>
                    </div>
                    
                    <script>
                        document.getElementById('text-excerpt').addEventListener('input', function () {
                            let excerpt = this.value;
                            let words = excerpt.split(/\s+/); // Split by spaces
                            const maxWords = 15; // Set the maximum number of words
                            
                            if (words.length > maxWords) {
                                // Limit the input to the maximum number of words
                                this.value = words.slice(0, maxWords).join(' ');
                                document.getElementById('wordCountWarning').style.display = 'block'; // Show warning
                            } else {
                                document.getElementById('wordCountWarning').style.display = 'none'; // Hide warning
                            }
                        });
                    </script>

                        <div class='heading my-3'>
                            <div class='mb-3'>
                                <label for='banner_description' class='form-label fs-4  '>Enter Service
                                    Description</label>
                                <textarea name="banner_description" class="form-control" id="editor"
                                    rows="4"></textarea>

                            </div>
                        </div>
                        <div class="btn d-flex justify-content-between">


                            <button name='add-banner' data-bs-dismiss='modal' aria-label='Close'
                                class='btn btn-light btn-lg   waves-effect waves-light '>Cancel</button>
                            <button type='submit' name='add-banner' class='btn btn-dark btn-lg '>Add Service</button>
                        </div>
                    </form>


                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->

    </div>


</div>


<div id='delete-modal' class='modal fade' aria-labelledby='delete-modal' aria-hidden='true' style='display: none;'>
    <div class='modal-dialog modal-dialog-centered '>
        <div class='modal-content border-0 '>
            <div class='close d-flex justify-content-between align-items-center  px-4 py-3 bg-danger '>
                <h2 class='text-white'>Delete </h2>
                <button type='button' class='btn-close btn-close-white mt-n2 opacity-100' data-bs-dismiss='modal'
                    aria-label='Close'></button>
            </div>

            <div class='modal-body '>
                <div class='mt-3 text-center mx-lg-3'>
                    <lord-icon src='https://cdn.lordicon.com/gsqxdxog.json' trigger='loop'
                        colors='primary:#f7b84b,secondary:#f06548' style='width:100px;height:100px'></lord-icon>
                    <div class='mt-4'>
                        <h4>Are you Sure ?</h4>
                        <p class='text-muted mt-3 mb-0'>Are you Sure You want to Delete this Service ?</p>
                        <form action="action.php" method="post">
                            <div class='d-flex justify-content-between  mt-4 mx-md-5'>

                                <input id="banner_id" type="hidden" name="banner-id">

                                <button type='button' data-bs-dismiss='modal' aria-label='Close'
                                    class='btn btn-light  btn-lg  waves-effect waves-light'>Cancel</button>
                                <button type='submit' name="delete-banner"
                                    class='btn btn-danger  btn-lg  waves-effect waves-light'>Yes Delete
                                    It</button>
                        </form>
                    </div>
                </div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
</div>







 <div id='view_modal' class='modal fade' aria-labelledby='view_modal' aria-hidden='true' style='display: none;'>
        <div class='modal-dialog modal-dialog-centered'>
            <div class='modal-content border-0 border-0'>
                <div class="close d-flex justify-content-between align-items-center px-4 py-3" style="background-color: #38454a;">
                    <h2 class="text-white m-0 mx-auto">View Service</h2>
                    <button type="button" class="btn-close btn-close-white position-absolute end-0 me-4" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>

                <div class='modal-body '>
                
                    <div class='heading my-3 text-center' id="view_banner_div">
                      
                    </div>
                  <div class="card-footer">
                  <div class='heading mt-3 d-flex justify-content-end'>
                    <button type='button' data-bs-dismiss="modal" class='btn btn-light btn-lg waves-effect waves-light  '>Close</button>       </div>

                  </div>
                  
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
    </div>










<script src="./assets/ckeditor/ckeditor.js"></script>
<!-- JAVASCRIPT -->
<script src='assets/libs/bootstrap/js/bootstrap.bundle.min.js'></script>
<script src='assets/libs/simplebar/simplebar.min.js'></script>
<script src='assets/libs/node-waves/waves.min.js'></script>
<script src='assets/libs/feather-icons/feather.min.js'></script>
<script src='assets/js/pages/plugins/lord-icon-2.1.0.js'></script>
<script src='assets/js/plugins.js'></script>
<!-- Sweet Alerts js -->
<script src='assets/libs/sweetalert2/sweetalert2.min.js'></script>

<!-- Sweet alert init js-->
<script src='assets/js/pages/sweetalerts.init.js'></script>
<!-- calendar min js -->
<script src='assets/libs/fullcalendar/main.min.js'></script>
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>

<!-- Calendar init -->
<script src='assets/js/pages/calendar.init.js'></script>

<!-- App js -->
<script src='assets/js/app.js'></script>


<script>
    // This sample still does not showcase all CKEditor 5 features (!)
    // Visit https://ckeditor.com/docs/ckeditor5/latest/features/index.html to browse all the features.
    CKEDITOR.ClassicEditor.create(document.getElementById("editor"), {
        // https://ckeditor.com/docs/ckeditor5/latest/features/toolbar/toolbar.html#extended-toolbar-configuration-format
        toolbar: {
            items: [

                'link', 'findAndReplace', 'selectAll', '|',
                'heading', '|',
                'bold', 'italic', 'strikethrough', 'underline', 'code', 'subscript', 'superscript',
                'removeFormat', '|',
                'bulletedList', 'numberedList', 'todoList', '|',
                'outdent', 'indent', '|',
                'undo', 'redo',
                '-',
                'fontSize', 'fontFamily', 'fontColor', 'fontBackgroundColor', 'highlight', '|',
                'alignment', '|',
                'link', 'blockQuote', 'insertTable',
                '|',
                'specialCharacters', 'horizontalLine', 'pageBreak', '|', '|',
            ],
            shouldNotGroupWhenFull: true
        },
        // Changing the language of the interface requires loading the language file using the <script> tag.
        // language: 'es',
        list: {
            properties: {
                styles: true,
                startIndex: true,
                reversed: true
            }
        },
        // https://ckeditor.com/docs/ckeditor5/latest/features/headings.html#configuration
        heading: {
            options: [{
                    model: 'paragraph',
                    title: 'Paragraph',
                    class: 'ck-heading_paragraph'
                },
                {
                    model: 'heading1',
                    view: 'h1',
                    title: 'Heading 1',
                    class: 'ck-heading_heading1'
                },
                {
                    model: 'heading2',
                    view: 'h2',
                    title: 'Heading 2',
                    class: 'ck-heading_heading2'
                },
                {
                    model: 'heading3',
                    view: 'h3',
                    title: 'Heading 3',
                    class: 'ck-heading_heading3'
                },
                {
                    model: 'heading4',
                    view: 'h4',
                    title: 'Heading 4',
                    class: 'ck-heading_heading4'
                },
                {
                    model: 'heading5',
                    view: 'h5',
                    title: 'Heading 5',
                    class: 'ck-heading_heading5'
                },
                {
                    model: 'heading6',
                    view: 'h6',
                    title: 'Heading 6',
                    class: 'ck-heading_heading6'
                }
            ]
        },
        // https://ckeditor.com/docs/ckeditor5/latest/features/editor-placeholder.html#using-the-editor-configuration
        placeholder: 'Write Description',
        // https://ckeditor.com/docs/ckeditor5/latest/features/font.html#configuring-the-font-family-feature
        fontFamily: {
            options: [
                'default',
                'Arial, Helvetica, sans-serif',
                'Courier New, Courier, monospace',
                'Georgia, serif',
                'Lucida Sans Unicode, Lucida Grande, sans-serif',
                'Tahoma, Geneva, sans-serif',
                'Times New Roman, Times, serif',
                'Trebuchet MS, Helvetica, sans-serif',
                'Verdana, Geneva, sans-serif'
            ],
            supportAllValues: true
        },
        // https://ckeditor.com/docs/ckeditor5/latest/features/font.html#configuring-the-font-size-feature
        fontSize: {
            options: [10, 12, 14, 'default', 18, 20, 22],
            supportAllValues: true
        },
        // Be careful with the setting below. It instructs CKEditor to accept ALL HTML markup.
        // https://ckeditor.com/docs/ckeditor5/latest/features/general-html-support.html#enabling-all-html-features
        htmlSupport: {
            allow: [{
                name: /.*/,
                attributes: true,
                classes: true,
                styles: true
            }]
        },
        // Be careful with enabling previews
        // https://ckeditor.com/docs/ckeditor5/latest/features/html-embed.html#content-previews

        // https://ckeditor.com/docs/ckeditor5/latest/features/link.html#custom-link-attributes-decorators
        link: {
            addTargetToExternalLinks: true,
            decorators: {
                defaultProtocol: 'https://',
                toggleDownloadable: {
                    mode: 'manual',
                    label: 'Downloadable',
                    attributes: {
                        download: 'file'
                    }
                },
                openInNewTab: {
                    mode: 'manual',
                    label: 'Open in a new tab',
                    defaultValue: true, // This option will be selected by default.
                    attributes: {
                        target: '_blank',
                        rel: 'noopener noreferrer'
                    }
                }
            }
        },
        // https://ckeditor.com/docs/ckeditor5/latest/features/mentions.html#configuration

        // The "super-build" contains more premium features that require additional configuration, disable them below.
        // Do not turn them on unless you read the documentation and know how to configure them and setup the editor.
        removePlugins: [
            // These two are commercial, but you can try them out without registering to a trial.
            // 'ExportPdf',
            // 'ExportWord',
            'CKBox',
            'CKFinder',
            'EasyImage',
            // This sample uses the Base64UploadAdapter to handle image uploads as it requires no configuration.
            // https://ckeditor.com/docs/ckeditor5/latest/features/images/image-upload/base64-upload-adapter.html
            // Storing images as Base64 is usually a very bad idea.
            // Replace it on production website with other solutions:
            // https://ckeditor.com/docs/ckeditor5/latest/features/images/image-upload/image-upload.html
            // 'Base64UploadAdapter',
            'RealTimeCollaborativeComments',
            'RealTimeCollaborativeTrackChanges',
            'RealTimeCollaborativeRevisionHistory',
            'PresenceList',
            'Comments',
            'TrackChanges',
            'TrackChangesData',
            'RevisionHistory',
            'Pagination',
            'WProofreader',
            // Careful, with the Mathtype plugin CKEditor will not load when loading this sample
            // from a local file system (file://) - load this site via HTTP server if you enable MathType.
            'MathType',
            // The following features are part of the Productivity Pack and require additional license.
            'SlashCommand',
            'Template',
            'DocumentOutline',
            'FormatPainter',
            'TableOfContents'
        ]
    });

</script>


<script>
    // Fucntion For Modals

    function view_modal(id) {

     $.ajax({
        url: "assets/ajax/view_banner.php",
        type: "POST",

        data: {
            banner_id: id,
        },

        success: function(response) {

            $("#view_banner_div").html(response);


        },

    });
      
        $("#view_modal").modal('show');
    }

//    function edit_modal(id,title,description ) {
//        document.getElementById('update_category_id').value = id;
//        document.getElementById('update_category_title').value = title;
//        $("#edit-modal").modal('show');
//    }   

    function delete_modal(id) {
        document.getElementById('delete_category_id').value = id;
        $("#delete-modal").modal('show');
    }
    // End of Fucntion For Modals
</script>















<script>
//    function view_modal(banner_title, banner_description, banner_image) {
//        document.getElementById('banner_title').innerHTML = banner_title;
//        document.getElementById('banner_description').innerHTML = banner_description;
//        document.getElementById('banner_image').src = banner_image;
//        $("#view-modal").modal('show');
//    }
//
//    function edit_modal(id, banner_title, banner_description) {
//        document.getElementById('banner_update_id').value = id;
//        document.getElementById('update_banner_title').value = banner_title;
//        document.getElementById('update_banner_description').innerHTML = banner_description;
//        $("#edit-modal").modal('show');
//    }

    function delete_modal(id) {
        document.getElementById('banner_id').value = id;
        $("#delete-modal").modal('show');
    }
</script>

<script>
    const urlParams = new URLSearchParams(window.location.search);


    if (urlParams.get('status') === '1') {
        // Show the Swal alert
        Swal.fire({
            html: '<div class="mt-3"><lord-icon src="https://cdn.lordicon.com/lupuorrc.json" trigger="loop" colors="primary:#13c56b,secondary:#08a88a" style="width:120px;height:120px"></lord-icon><div class="mt-4 pt-2 fs-15"><h4>Service Added</h4><p class="text-muted mx-4 mb-0">Service Have Been Successfully Added</p></div></div>',
            showCancelButton: !0,
            showConfirmButton: !1,
            cancelButtonClass: "btn text-white  w-xs mb-1 btn-success",
            cancelButtonText: "Close",
            buttonsStyling: !1,
            showCloseButton: !0,
        }).then((result) => {
            if (result.isConfirmed) {
                // User clicked the "confirm" button, so update the URL and prevent the Swal from firing again
                history.pushState({}, '', window.location.pathname);
            } else {
                history.pushState({}, '', window.location.pathname);
            }
        });
    }

    if (urlParams.get('status') === '2') {
        // Show the Swal alert
        Swal.fire({
            html: '<div class="mt-3"></div><img src="https://nutpinsurance.com/images/success.gif" trigger="loop" colors="primary:#13c56b,secondary:#08a88a" style="width:120px;height:120px"></img><div class="mt-4 pt-2 fs-15"><h4>Service Deleted</h4><p class="text-muted mx-4 mb-0">Service Have Been Successfully Deleted</p></div></div>',
            showCancelButton: !0,
            showConfirmButton: !1,
            cancelButtonClass: "btn text-white  w-xs mb-1 bg-ban",
            cancelButtonText: "Close",
            buttonsStyling: !1,
            showCloseButton: !0,
        }).then((result) => {
            if (result.isConfirmed) {
                // User clicked the "confirm" button, so update the URL and prevent the Swal from firing again
                history.pushState({}, '', window.location.pathname);
            } else {
                history.pushState({}, '', window.location.pathname);
            }
        });
    }
    if (urlParams.get('status') === '3') {
        // Show the Swal alert
        Swal.fire({
            html: '<div class="mt-3"></div><img src="https://nutpinsurance.com/images/success.gif" trigger="loop" colors="primary:#13c56b,secondary:#08a88a" style="width:120px;height:120px"></img><div class="mt-4 pt-2 fs-15"><h4>Service Updated</h4><p class="text-muted mx-4 mb-0">Service Have Been Successfully Updated</p></div></div>',
            showCancelButton: !0,
            showConfirmButton: !1,
            cancelButtonClass: "btn text-white  w-xs mb-1 bg-ban",
            cancelButtonText: "Close",
            buttonsStyling: !1,
            showCloseButton: !0,
        }).then((result) => {
            if (result.isConfirmed) {
                // User clicked the "confirm" button, so update the URL and prevent the Swal from firing again
                history.pushState({}, '', window.location.pathname);
            } else {
                history.pushState({}, '', window.location.pathname);
            }
        });
    }
</script>

</body>

</html>