<?php
if (!isset($_SESSION)) {
    session_set_cookie_params(86400);
    session_start();
    $user_id = session_id();
}
include('admin/database.php');

// Fetch brands
$query = "SELECT * FROM brands";
$brands = db::getRecords($query);

// Check if data exists
if (!$brands) {
    $brands = []; // Set as empty array if no data
}
// Fetch inventory counts for each brand
$inventoryCounts = [];
$inventoryQuery = "SELECT brand_id, COUNT(*) AS count FROM inventory GROUP BY brand_id";
$inventoryResults = db::getRecords($inventoryQuery);

// Check if data exists
if (!$inventoryResults) {
    $inventoryResults = []; // Set as empty array if no data
}

foreach ($inventoryResults as $result) {
    $inventoryCounts[$result['brand_id']] = $result['count'];
}
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>GIMOTORCARS | HOME</title>
    <!-- Stylesheets -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="css/slick-theme.css">
    <link rel="stylesheet" type="text/css" href="css/slick.css">
    <link href="css/mmenu.css" rel="stylesheet">
    <link href="css/style.css" rel="stylesheet">
    <link href="css/sweetalert2.min.css" rel="stylesheet">

    <!-- <link rel="shortcut icon" href="images/favicon.png" type="image/x-icon"> -->
    <!-- <link rel="icon" href="images/favicon.png" type="image/x-icon"> -->
    <!-- Responsive -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <!--[if lt IE 9]><script src="https://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv.js"></script><![endif]-->
    <!--[if lt IE 9]><script src="js/respond.js"></script><![endif]-->
</head>

<body>

    <div class="boxcar-wrapper">

        <!-- Main Header-->
        <header class="boxcar-header hheader-style-v4 five">
            <div class="header-inner">
                <div class="inner-container">
                    <!-- Main box -->
                    <div class="c-box">
                        <div class="logo-inner">
                            <div class="logo"><a href="index.php"><img src="images/GIMotors-Logo-white.png" alt="" title="GIMOTORCARS" style="max-width: 180px;"></a></div>
                        </div>

                        <!--Nav Box-->
                        <div class="nav-out-bar">
                            <nav class="nav main-menu">
                                <ul class="navigation" id="navbar">
                                    <li class="current-dropdown current"><a href="index.php" class="text-uppercase">Home </a>
                                    </li>
                                    <li class="current-dropdown">
                                        <a href="inventory.php" class="text-uppercase">Inventory<i class="fa-solid fa-angle-down"></i></a>
                                        <div class="row mega-menu">
                                            <?php
                                            $columns = []; // Array to hold the columns' UL elements
                                            $columnCount = 0;

                                            foreach ($brands as $brand) {
                                                $count = $inventoryCounts[$brand['id']] ?? 0; // Use null coalescing operator
                                                $columnIndex = $columnCount % 3; // Determine column index (0, 1, 2)

                                                // Create column if it doesn't exist
                                                if (!isset($columns[$columnIndex])) {
                                                    $columns[$columnIndex] = "<div class='col-lg-4 mega-column'><ul>";
                                                }

                                                //Add brand to the correct column
                                                $columns[$columnIndex] .= "<li class='d-flex justify-content-between align-items-center'>
                                                    <a href='inventory.php?brand_id=" . $brand['id'] . "' title='" . $brand['title'] . "'>" . $brand['title'] . "</a>
                                                    <span>[" . $count . "]</span>
                                                </li>";

                                                $columnCount++;
                                            }

                                            // Close the UL and DIV for each column
                                            foreach ($columns as $columnIndex => $columnHtml) {
                                                echo $columnHtml . "</ul></div>";
                                            }
                                            ?>
                                        </div>
                                    </li>
                                    <li><a href="consignments.php" class="text-uppercase">Consignments</a>
                                    </li>
                                    <li class="current-dropdown"><a href="about.php" class="text-uppercase">About Us <i class="fa-solid fa-angle-down"></i></a>
                                        <ul class="dropdown">
                                            <li><a href="about.php">Our Dealership</a></li>
                                            <li><a href="contact.php">Contact Us</a></li>
                                        </ul>
                                    </li>
                                    <li class="current-dropdown">
                                        <a class="text-uppercase">Our Brands <i class="fa-solid fa-angle-down"></i></a>
                                        <ul class="dropdown">
                                            <li><a href="aston-martin.php">Aston Martin</a></li>
                                            <li><a href="bentley.php">Bentley</a></li>
                                            <li><a href="bugatti.php">Bugatti</a></li>
                                            <li><a href="koenigsegg.php">Koenigsegg</a></li>
                                            <li><a href="lamborghini.php">Lamborghini</a></li>
                                            <li><a href="mclaren.php">McLaren</a></li>
                                            <li><a href="pininfarina.php">Pininfarina</a></li>
                                            <li><a href="rimac.php">Rimac</a></li>
                                            <li><a href="rolls-royce.php">Rolls-Royce</a></li>
                                        </ul>
                                    </li>

                                </ul>
                            </nav>
                            <!-- Main Menu End-->
                        </div>

                        <div class="right-box navside d-none d-md-flex">
                            <a title="Address" class="box-account">
                                <div class="icon">
                                    <i class="fa fa-map-marker-alt"></i> 7905 Van Nuys Boulevard, Suite 27, Van Nuys, CA 91402
                                </div>
                            </a>
                            <a href="tel:951-476-9893" title="Phone" class="box-account">
                                <div class="icon">
                                    <i class="fa fa-phone"></i> 951-476-9893
                                </div>
                            </a>
                        </div>

                        <div class="mobile-navigation">
                            <a href="#nav-mobile" title="">
                                <svg width="22" height="11" viewBox="0 0 22 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <rect width="22" height="2" fill="black" />
                                    <rect y="9" width="22" height="2" fill="black" />
                                </svg>
                            </a>
                        </div>
                    </div>
                    <!-- Mobile Menu -->
                </div>
            </div>

            <!-- Header Search -->
            <div class="search-popup">
                <span class="search-back-drop"></span>
                <button class="close-search"><span class="fa fa-times"></span></button>

                <div class="search-inner">
                    <form method="post" action="index.php">
                        <div class="form-group">
                            <input type="search" name="search-field" value="" placeholder="Search..." required="">
                            <button type="submit"><i class="fa fa-search"></i></button>
                        </div>
                    </form>
                </div>
            </div>
            <!-- End Header Search -->

            <div id="nav-mobile"></div>
        </header>
        <!-- End header-section -->

        <style>
            @media (max-width: 768px) {
                .right-box.navside {
                    display: none !important;
                }
            }
        </style>