<?php
include('header.php');

// Check if brand_id is present in URL
$brand_id = isset($_GET['brand_id']) ? $_GET['brand_id'] : null;

// Modify the query based on brand_id
if ($brand_id) {
    $query = "SELECT * FROM inventory WHERE brand_id = '$brand_id' ORDER BY id DESC";
} else {
    $query = "SELECT * FROM inventory ORDER BY id DESC";
}
$inventories = db::getRecords($query);

$query = "SELECT * FROM brands";
$brands = db::getRecords($query);

// Create an associative array for brands to fetch brand name by ID
$brandMap = [];
$brandTitle = "Luxury Motorcars in Van Nuys, CA"; // Default title

if ($brands != NULL) {
    foreach ($brands as $brand) {
        $brandMap[$brand['id']] = $brand['title'];
    }
    // Set brand title if brand_id exists
    if ($brand_id && isset($brandMap[$brand_id])) {
        $brandTitle = $brandMap[$brand_id];
    }
}
?>


<section class="about-inner-one pt-3 rounded-0">
    <div class="upper-box m-0">
        <div class="container">
            <div class="row wow fadeInUp bg-1">
                <div class="col-lg-12 col-sm-12">
                    <div class="boxcar-title pt-2 mb-0">
                        <ul class="breadcrumb">
                            <li><a href="index.php" class="">Home</a></li>
                            <li><span class=""><?php echo $brandTitle; ?></span></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<!-- cars-section-three -->
<section class="cars-section-four v1 layout-radius pt-0">
    <div class="container p-0">
        <div class="boxcar-title-three wow fadeInUp text-center">
            <h2><?php echo $brandTitle; ?></h2>
            <?php
            // Get the full URL
            $currentUrl = $_SERVER['REQUEST_URI'];

            // Extract the path and query separately
            $urlPath = parse_url($currentUrl, PHP_URL_PATH);
            $queryString = parse_url($currentUrl, PHP_URL_QUERY);

            // Check if the path matches and there are no query parameters
            if ($urlPath === '/GIMotorCars/inventory.php' && empty($queryString)) {
                echo '<p>Although we may not currently have these specific motorcars in stock, we will seek to secure automobiles such as these that are curated, <br> customized and tailored to your individual standards and specifications.</p>';
            }
            ?>
        </div>
        <div class="text-box">
            <!-- <div class="text">Showing 1 to 16 of 1559 vehicles</div> -->
            <!-- <form>
                <div class="form_boxes v3">
                    <small>Sort by</small>
                    <div class="drop-menu">
                        <div class="select">
                            <span>Any Makes</span>
                            <i class="fa fa-angle-down"></i>
                        </div>
                        <input type="hidden" name="gender">
                        <ul class="dropdown" style="display: none;">
                            <li>Audi</li>
                            <li>Honda</li>
                        </ul>
                    </div>
                </div>
            </form> -->
        </div>
        <div class="row wow fadeInUp justify-content-center">


            <?php
            if ($inventories != NULL) {
                foreach ($inventories as $inventory) {
                    $id = $inventory['id'];
                    $query = "SELECT * FROM inventory_images WHERE inventory_id='$id'";
                    $inventory_images = db::getRecords($query);
                    $inventory_id = $inventory['id'];

                    // Get brand name for the product
                    $brand_name = isset($brandMap[$inventory['brand_id']]) ? $brandMap[$inventory['brand_id']] : 'Unknown Brand';
            ?>


                    <!-- car-block-four -->
                    <div class="car-block-four col-xl-3 col-lg-4 col-md-6 col-sm-6">
                        <div class="inner-box d-flex flex-column justify-content-center w-100 h-100">
                            <div class="image-box w-100 h-100">
                                <figure class="image w-100 h-100"><a href="inventory-single.php?id=<?php echo $inventory_id; ?>"><img src="<?php echo "admin/uploads/products/" . $inventory_images[0]['image']; ?>" alt="" class="img-fluid w-100 h-100"></a></figure>
                            </div>
                            <div class="content-box">
                                <h6 class="title"><a href="inventory-single.php?id=<?php echo $inventory_id; ?>"><?php echo $inventory['name'] ?></a></h6>
                                <div class="text">
                                    <?php
                                    $short_description = substr($inventory['short_description'], 0, 40) . '...';
                                    echo $short_description;
                                    ?>
                                </div>
                                <ul class="justify-content-between">
                                    <li><i class="flaticon-gasoline-pump"></i><?php echo $inventory['mileage'] ?> Miles</li>
                                    <li><i class="flaticon-speedometer"></i><?php echo $inventory['fuel_type'] ?></li>
                                    <?php
                                    if ($inventory['automatic'] === 'yes') { ?>
                                        <li><i class="flaticon-gearbox"></i>Automatic</li>
                                    <?php } elseif (!empty(trim($inventory['year']))) { ?>
                                        <li><i class="flaticon-calendar-1"></i><?php echo $inventory['year']; ?></li>
                                    <?php } ?>
                                </ul>
                                <div class="btn-box">
                                    <a href="tel:951-476-9893"><small>Call for Quote</small></a>
                                    <a href="inventory-single.php?id=<?php echo $inventory_id; ?>" class="details">View Details<svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 14 14" fill="none">
                                            <g clip-path="url(#clip0_601_4346)">
                                                <path d="M13.6109 0H5.05533C4.84037 0 4.66643 0.173943 4.66643 0.388901C4.66643 0.603859 4.84037 0.777802 5.05533 0.777802H12.6721L0.113697 13.3362C-0.0382246 13.4881 -0.0382246 13.7342 0.113697 13.8861C0.18964 13.962 0.289171 14 0.388666 14C0.488161 14 0.587656 13.962 0.663635 13.8861L13.222 1.3277V8.94447C13.222 9.15943 13.3959 9.33337 13.6109 9.33337C13.8259 9.33337 13.9998 9.15943 13.9998 8.94447V0.388901C13.9998 0.173943 13.8258 0 13.6109 0Z" fill="#405FF2" />
                                            </g>
                                            <defs>
                                                <clipPath id="clip0_601_4346">
                                                    <rect width="14" height="14" fill="white" />
                                                </clipPath>
                                            </defs>
                                        </svg>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
            <?php }
            }
            ?>
        </div>


    </div>
</section>
<!-- End shop section two -->
<?php include('footer.php'); ?>

<script>
    const urlParams = new URLSearchParams(window.location.search);


    if (urlParams.get('status') === '1') {
        // Show the Swal alert
        Swal.fire({
            html: '<div class="mt-3"><lord-icon src="https://cdn.lordicon.com/lupuorrc.json" trigger="loop" colors="primary:#13c56b,secondary:#08a88a" style="width:120px;height:120px"></lord-icon><div class="mt-4 pt-2 fs-15"><h4>Product Check Availability Submit</h4><p class="text-muted mx-4 mb-0">Product Check Availability Have Been Submitted Successfully!</p></div></div>',
            showCancelButton: !0,
            showConfirmButton: !1,
            cancelButtonClass: "btn text-white  w-xs mb-1 btn-success",
            cancelButtonText: "Close",
            buttonsStyling: !1,
            showCloseButton: !0,
        }).then((result) => {
            if (result.isConfirmed) {
                // User clicked the "confirm" button, so update the URL and prevent the Swal from firing again
                history.pushState({}, '', window.location.pathname);
            } else {
                history.pushState({}, '', window.location.pathname);
            }
        });
    }

    if (urlParams.get('status') === '2') {
        // Show the Swal alert
        Swal.fire({
            html: '<div class="mt-3"></div><img src="https://nutpinsurance.com/images/success.gif" trigger="loop" colors="primary:#13c56b,secondary:#08a88a" style="width:120px;height:120px"></img><div class="mt-4 pt-2 fs-15"><h4>Product Test Drive Submit</h4><p class="text-muted mx-4 mb-0">Product Test Drive Have Been Submitted Successfully!</p></div></div>',
            showCancelButton: !0,
            showConfirmButton: !1,
            cancelButtonClass: "btn text-white  w-xs mb-1 bg-ban",
            cancelButtonText: "Close",
            buttonsStyling: !1,
            showCloseButton: !0,
        }).then((result) => {
            if (result.isConfirmed) {
                // User clicked the "confirm" button, so update the URL and prevent the Swal from firing again
                history.pushState({}, '', window.location.pathname);
            } else {
                history.pushState({}, '', window.location.pathname);
            }
        });
    }
    if (urlParams.get('status') === '3') {
        // Show the Swal alert
        Swal.fire({
            html: '<div class="mt-3"></div><img src="https://nutpinsurance.com/images/success.gif" trigger="loop" colors="primary:#13c56b,secondary:#08a88a" style="width:120px;height:120px"></img><div class="mt-4 pt-2 fs-15"><h4>Product Value Trade Submit</h4><p class="text-muted mx-4 mb-0">Product Value Trade Have Been Submitted Successfully!</p></div></div>',
            showCancelButton: !0,
            showConfirmButton: !1,
            cancelButtonClass: "btn text-white  w-xs mb-1 bg-ban",
            cancelButtonText: "Close",
            buttonsStyling: !1,
            showCloseButton: !0,
        }).then((result) => {
            if (result.isConfirmed) {
                // User clicked the "confirm" button, so update the URL and prevent the Swal from firing again
                history.pushState({}, '', window.location.pathname);
            } else {
                history.pushState({}, '', window.location.pathname);
            }
        });
    }
</script>